# Encoding: UTF-8
#
# Cookbook Name:: bastion
# Recipe:: dev_tools
#
# Copyright 2015-2016, Socrata, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

include_recipe 'dnsmasq-local'
include_recipe 'java'

package 'git'
package 'ruby-dev'

gem_package 'bundler'
gem_package 'rake'

docker_service 'default' do
  node['bastion']['docker']['options'].to_h.each do |k, v|
    send(k, v)
  end
  action %i(create start)
end

node['bastion']['docker']['images'].each do |image, enabled|
  docker_image(image) if enabled
end
