# Encoding: UTF-8
#
# Cookbook Name:: bastion
# Recipe:: greeting
#
# Copyright 2015-2016, Socrata, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

file '/etc/profile.d/bastion-greeting.sh' do
  lines = ['#!/bin/sh', '', 'RED=`tput setaf 1`', 'NC=`tput sgr0`']
  if node['bastion']['greeting']['message']
    lines << 'cat <<EOS'
    lines << '  ${RED}'
    node['bastion']['greeting']['message'].lines.each do |l|
      lines << (l.strip.empty? ? '' : l.strip.prepend('  '))
    end
    lines << '  ${NC}'
    lines << 'EOS'
  end
  if node['bastion']['greeting']['require_response']
    lines << ''
    lines << 'read -p "  (Press Enter to continue)" RESPONSE'
    lines << 'if [ "$RESPONSE" != "" ]; then'
    lines << '    exit 1'
    lines << 'fi'
  end

  content lines.join("\n")

  only_if do
    node['bastion']['greeting']['message'] && \
      !node['bastion']['greeting']['message'].empty?
  end
end
